com.jscape.inet.vfs

## Class Quota

- java.lang.Object
- - com.jscape.inet.vfs.Quota

-     public class Quota
      extends java.lang.Object

  Defines bandwidth quota for an account.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Quota()` Creates a new Quota instance.
    `Quota(long bytes, long resetPeriod)` Creates a new Quota instance.
    `Quota(Quota that)` Creates a new Quota instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBytes()` Gets number of bytes that may be transferred during period.
    `long` | `getResetPeriod()` Gets reset period in milliseconds.
    `void` | `setBytes(long value)` Sets number of bytes that may be transferred during period.
    `void` | `setResetPeriod(long value)` Sets reset period in milliseconds.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Quota

          public Quota(long bytes,
                       long resetPeriod)

      Creates a new Quota instance.
      Parameters:
        `bytes` - the number of bytes that may be transferred during period
        `resetPeriod` - the reset period in milliseconds

    - #### Quota

          public Quota(Quota that)

      Creates a new Quota instance.
      Parameters:
        `that` - instance to copy from

    - #### Quota

          public Quota()

      Creates a new Quota instance.

  - ### Method Detail

    - #### getBytes

          public long getBytes()

      Gets number of bytes that may be transferred during period.
      Returns:
        number of bytes

    - #### setBytes

          public void setBytes(long value)

      Sets number of bytes that may be transferred during period.
      Parameters:
        `value` - number of bytes

    - #### getResetPeriod

          public long getResetPeriod()

      Gets reset period in milliseconds.
      Returns:
        reset period in milliseconds

    - #### setResetPeriod

          public void setResetPeriod(long value)

      Sets reset period in milliseconds.
      Parameters:
        `value` - reset period in milliseconds

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.